function u = solveadvlsq(mesh, v, f)

    qr.w = [1/6; 1/6; 1/6];
    qr.x = [0 0; 1 0; 0 1];

    A = @(x) v(x)*v(x)';

    mesh = markFlags(mesh, v);

    S = assemMat_LFE(mesh, @STIMA_AIP, qr, A);
    L = lsqrhs(mesh, v, f, qr);

    g = @(x,varargin) zeros(size(x,1),1);

    [u, FreeDofs] = assemDir_LFE(mesh, -1, g);
    L = L - S*u;

    u(FreeDofs) = S(FreeDofs,FreeDofs)\L(FreeDofs);

end
