function [x,U] = convdiff_1d(N, eps)

    h = 1/(N+1);
    e = ones(N,1);
    A = (eps/h)*spdiags([-e, 2*e, -e], -1:1, N, N) + spdiags([-e, e], -1:0, N, N);
    L = h*e;

    U = [0; A\L; 0];
    x = linspace(0,1,N+2)';

end
