Nvals = 10*2.^(1:7);
errs = [];
eps = 1e-2;

exact = @(x) x - (exp(x/eps)-1)/(exp(1/eps)-1);

for N = Nvals,
    [x,U] = convdiff_1d(N, eps);
    h = x(2);
    gpts = sort([x(1:end-1) + h*(1-1/sqrt(3))/2; x(1:end-1) + h*(1+1/sqrt(3))/2]);
    weights = h*ones(2*N+2,1)/2;
    U_appr = linterp(x, U, gpts)';
    U_ex = exact(gpts);
    errs = [errs, sqrt(sum(weights.*(U_appr - U_ex).^2))];
end;

loglog(Nvals, errs)
p = polyfit(log(Nvals), log(errs), 1);
fprintf('rate of convergence is %f\n', -p(1))
xlabel('number of interior nodes N');
ylabel('L^2 error');
title('L^2 convergence')

%conf.myFontsize = 13;
%conf.size = [700, 300];
%conf.its = 1:1;
%fig_prepare(conf); legend off
title(sprintf('%s [ref sol]', get(get(gca,'title'),'string')));
%saveas(gcf, 'p1.eps', 'epsc')

